summaryrefslogtreecommitdiff
path: root/contrib/gana-update.sh
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/gana-update.sh')
-rwxr-xr-xcontrib/gana-update.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/contrib/gana-update.sh b/contrib/gana-update.sh
index a5da6f1b1..196d4b530 100755
--- a/contrib/gana-update.sh
+++ b/contrib/gana-update.sh
@@ -10,9 +10,9 @@ make
cd ../../..
if ! diff contrib/gana/gnu-taler-error-codes/taler_error_codes.h src/include/taler_error_codes.h > /dev/null
then
- echo "Deploying latest new GANA database..."
cp contrib/gana/gnu-taler-error-codes/taler_error_codes.h src/include/taler_error_codes.h
+fi
+if ! diff contrib/gana/gnu-taler-error-codes/taler_error_codes.c src/util/taler_error_codes.c > /dev/null
+then
cp contrib/gana/gnu-taler-error-codes/taler_error_codes.c src/util/taler_error_codes.c
-else
- echo "GANA database already up-to-date"
fi